*,
*:after,
*:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
html {
    scroll-behavior: smooth;
}


body {
    padding: 0;
    margin: 0;
    font-family: "Nunito Sans", sans-serif;
    transform-origin: center;
    overflow-x: hidden;

}

/* NAVIGATION */

div.header-g{
  display: none;
}

input{
  display: none;
}

body {
    padding: 0;
    margin: 0;
    font-family: "Nunito Sans", sans-serif;
    transform-origin: center;
    overflow-x: hidden;
}

header{
    z-index: 3;
  width: 100vw;
  height: 56px;
  position: fixed;
  top: 0;
  left: 0;
  padding: 0;
  margin: 0;
  background: rgba(255,255,255, .4);
}


h1{
  font-style: normal;
  font-weight: 700;
  line-height: 0;
  font-size: 42px;
  text-align: right;

  color: #000;
  padding: 0;
  margin: 0;

  transform: rotate(-90deg);
}

a.h1{
  position: fixed;
  top: 0;
  left: 0;
  line-height: 0;
  text-decoration: none;
  z-index: 10;
}
a.h1-voll{
  display: block;
  position: fixed;
  top: -149px;
  left: 0;
  line-height: 0;
  text-decoration: none;
  transform: translateY(149px);
  z-index: 10;

}

a.h1 h1.eingeklappt {
/*   lg */

  position: relative;
  top: 0;
  left: 0;
  margin: 32px 15px 16px 15px;

}

input:checked ~ a.h1 h1.eingeklappt {
  display: none;
}

/*input:checked + a.h1-voll{
  transform: translateY(149px);
}*/

input:checked + a.h1-voll > h1.ausgeklappt {
  /* lovis götz */

  position: relative;
  top: 107px;
  left: -60px;

}

input:not(:checked) + a.h1-voll > h1.ausgeklappt {
  display: none;
}

body input ~ label {
  position: fixed;
  top: 17px;
  right: 16px;
  height: 42px;
  width: 42px;
  z-index: 5;
}

#indexlabel {
  right: 32px;
}

body input ~ label span {
  position: relative;
  width: 100%;
  height: 5px;
  top: 0px;
  margin-top: -1px;
  left: 0;
  display: block;
  background: #000;
  transition: .5s;
}
body input ~ label span:last-child {
  top: 16px;
}

body label:hover {
  cursor: pointer;
}

body input:checked ~ label span{
    transform-origin: center;
    transform: translateY(10px) rotate(-135deg);
}
body input:checked ~ label span:last-child {
  transform-origin: center;
  transform: translateY(-10px) rotate(135deg);
  transition-delay: .01s;
}

div.menue{
    position: absolute;
    bottom: 0;
    left: calc(50% - 178px/2);
}

input:checked ~ div.menue {
/*  background-color: white;*/
  margin: 0;
  padding: 21px 0 0;
  z-index: 10;
}

input ~ div.menue {
    display: none;
}

input:checked ~ div {
    display: none;
}

input ~ nav {
/*  overflow: hidden;*/
  display: none;
  padding: 0;
  margin: 0;
}
body input:checked ~ nav {
    background: white;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  z-index: 3;
  display: block;
  /*transition: .3s;
  transition-delay: .5s;*/
  padding: 48px 0;
  margin: 0;
}
body input:checked ~ nav ul {
  text-align: center;
  position: relative;
  top: 0;
  display: block;
  padding: 0;
  margin: 0;
}
body input ~ nav > ul > li > a {
  text-decoration: none;

  color: rgb(100, 100, 100);
  font-weight: 600;
  display: block;
  margin: 0px;
  margin-left: 0px;
  padding: 17px 0px;
}
body input:checked ~ nav > ul > li {
    opacity: 1;
    transition-delay: .5s;
}

nav ul{
    list-style-type: none;
  font-size: 42px;
  padding: 0;
  margin: 0;
}
nav ul li{
  padding: 0;
  margin: 0;
}

nav a {
    color: rgb(100, 100, 100);
}

nav li.current a {
    color: #000;
    font-weight: 700;
}

body input:checked ~ main{
    display: none;
}

/*NAVIGATION END*/


main {
    position: absolute;
    top: 56px;
    width: 100%;
    margin: 0;
    padding: 0;
    z-index: -10;
}

section {
    display: flex;
    flex-wrap: wrap;
    width: calc(100vw - 48px);
    max-width: 1500px;
    text-align: justify;
    hyphens: auto;
    margin: 16px auto;
    margin-bottom: 0;
    padding: 0;
}

/* All the snapping stuff */
/*.scroll-container {
    position: initial;
    top: initial;
    width: initial;
    height: 100vh;
    height: 100vh;
    overflow-y: scroll;
    -ms-scroll-snap-type: mandatory;
    scroll-snap-type: mandatory;
    -ms-scroll-snap-type: y mandatory;
    scroll-snap-type: y mandatory;
    -webkit-overflow-scrolling: touch;
    scroll-snap-stop: always;
}*/
section.child {
    height: 100vh;
    width: 100%;
    max-width: 100%;
/*    scroll-snap-align: center;*/
}

/* Other styles */
section.child {
    display: flex;
    align-items: none;
    background-color: none;
    text-align: justify;
    hyphens: auto;
    margin: 0;
    padding: 0;
    margin-bottom: 0;
    overflow: hidden;

}


figure {
    position: relative;
    align-self: center;
    top: max(16vh, 84px);
    max-width: calc(100% - 32px);
    margin: 0 auto;
    padding: 0;
    min-height: 200px;
    overflow: hidden;

}

section.child > figure > img, section.child > figure > video {
    display: flex;
    align-self: center;
    position: relative;
    height: 50vh;
    min-height: 200px;
    margin: 0 auto;
    overflow: hidden;
}


/*//////////*/
section.child > div > figure > .bg > img, section.child > div > figure > .bg > video {
    display: block;
    align-self: center;
    position: relative;
    height: 50vh;
    min-height: 200px;
    margin: 0 auto;
    overflow: hidden;
    opacity: 0;
}
div.bg {
    background: no-repeat 50%;
    background-size: auto max(50vh, 300px);
    height: 50vh;
    min-height: 200px;
    width: auto;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}

/*//////////*/

.indexdiv{
    display: block;
    background: none;
    width: 100%;
}


/*///////////////////////////////////////////*/
div.child {
    z-index: -5;
    position: relative;
    top: -50vh;
    width: 100%;
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: -50vh;
    margin-bottom: -50vh;
    filter: blur(200px) saturate(.9) brightness(1.2);
}

/*////////////////////////////////////*/

/*other work styles END*/

.workfig {
    display: inline-block;
    top:0;
    width: 100%;
    max-width: 100%;
}

.workfig.left,
.workfig.right {
    width: 100%
}

.workfig figcaption {
    top: -10px;
    height: auto;
    transition: none;
    opacity: 1;
    background-color: rgba(255, 255, 255, 0);
    text-align: left;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: normal;
    display: inline-block;
    margin: 0;
    hyphens: auto;
    width: auto;
}

.work .workfig figcaption {
    top: 0;
}


figcaption, h2 {
    display: block;
    position: relative;
    top: -16px;
    text-align: center;
    font-size: 21px;
    font-weight: 600;
    letter-spacing: .5em;
}

a {
    color: #000;
    text-decoration: none;
    /*ganz wichtig, sonst geht "padding" nicht!*/
    display: block;
    font-weight: 400;
    padding: 0;
    margin: 0;
}

section.child a{
    position: relative;
    max-width: 156px;
    font-size: 21px;
    border: 2px solid;
    border-radius: 40px;
    text-align: center;
    padding: 2px 16px;
    margin: auto;
    margin-top: 21vh;

}


/* //// bilder in index zu links machen ///*/
/*section.child figure div.bg a{
  position: relative;
  height: 100%;
  width: auto;
  max-width: none;
  border: 2px solid;
  border-radius: 0px;
  padding: none;
  margin: auto;
  margin-top: none;
}*/


main.about img {
    position: relative;
    top: 0;
    display: block;
    margin: 0 auto;
    height: 80vw;
    max-height: 250px;
    margin: 0 auto;
    padding: 0;
}

main.about a.icon img {
    display: inline-block;
    height: 42px;
    margin: 0 auto 21px;
}

p {
    font-size: 21px;
    font-weight: 400;
    margin: 16px;
}

p a {
    text-decoration: underline;
    display: inline-block;
}

p.work {
    margin: 0;
}

.mail {
    font-size: 32px;
    font-weight: 700;
    overflow: hidden;
    margin: 16px 16px 64px;
    padding: 0;
    text-align: left;
    word-break: break-all;
}


p.contact {
    margin-top: 72px;
}

a.icon {
    display: inline-block;
    height: 42px;
    margin: 0 16px 21px;
}

div.work {
    position: relative;
    top: 0;
    width: calc(100% - 32px);
    height: auto;
    overflow: visible;
    margin: 0 auto;
    padding: 0;
}

div.work img, div.work video {
    display: block;
    position: relative;
    width: 100%;
    margin: 0;
    padding: 0;
    z-index: -1;
}

/*///////*/

iframe {
    border: 1px solid rgba(0, 0, 0, 0.1);
}

iframe.workpic {
    width: calc(100% - 0px);
    height: 80vh;
    grid: span 1;
}



/*//////*/


div.work h2 {
    position: absolute;
    display: block;
    top: 50%;
    left: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
    font-size: 32px;
    font-weight: 600;
    text-align: center;
    background-color: rgba(0, 0, 0, 0)
}

.workpic {
    width: 100%;
    height: auto;
    grid: span 1;
}

.vid {
    width: calc(100vw - 48px);
    max-width: 1500px;
    height: min(calc(((100vw - 48px) * 9) / 16), calc((1500px * 9) / 16));
}

main > .workpic:last-of-type {
    position: relative;
    left: 16px;
    top: 0;
    width: calc(100% - 48px);
    margin: -3px auto;
}


.row {
    margin: -8px 0;
}

.row:last-of-type {
    margin: 0;
}

.left,
.right {
    margin: 5px 0;
}

div.work:last-of-type {
    margin-top: 4px;
}

div.work img.workpic:last-of-type {
    margin-top: 16px;
}


video {
    top: 50px;
}


small {
    font-size: 11px;
    font-weight: 400;
    position: relative;
    left: 0;
    margin: 0 auto 8px;
}

#indexsmall {
    top: 44vh;
}

div.footer {
    position: relative;
    bottom: -8px;
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: #fff;
}

.dark {
    color: white;
}

.back {
    position: relative;
    float: left;
    height: 42px;
    transform: rotate(180deg);
    margin: 32px 16px;
    margin-bottom: 16px;
}

.next {
    position: relative;
    float: right;
    height: 42px;
    margin: 32px 16px;
    margin-bottom: 16px;
}

footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
}

/* für js */
h3#cd {
    display: block;
    position: absolute;
    top: 55%;
    width: 100%;
    text-align: center;
    font-size: 32px;
    font-weight: 600;
}

p#cd {
    display: inline-block;
    font-size: 21px;
    font-weight: 400;
}
